/*
2000 Microsoft Corporation. All rights reserved.
*/

var noPane  = 0;
var eqPane  = 1;
var plPane  = 2;
var vidPane = 3;
var currentPane = 0;

var vidIsRunning = false;

function OnTimerTick()
{
    var mm = ((seek.value < 600)   ? "0" : "")
        + Math.floor(seek.value / 60);
    var ss = ((seek.value%60) < 10 ? "0" : "")
        + Math.floor(seek.value % 60);
    metadataTime.value = mm + ":" + ss;
}

function Init()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");

    if(player.OpenState==osMediaOpen)
    {
        OnPlayStateChange();
        vidIsRunning =
            (player.currentMedia.ImageSourceWidth>0);
        if(vidIsRunning)
        {
            StartVideo();
        }
    }

}

function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
        metadataArtist.value =
            player.currentmedia.getiteminfo("Author");
        bClose.enabled = !vidIsRunning;
        // makes bClose show up when switching from video to audio
    }
}

function OnPlayStateChange()
{
    switch(player.PlayState)
    {
    case psStopped:
        visEffects.visible = false;
        // intentional fallthrough
    case psPaused:
        bgPlay.tabStop = true;
        bPause.visible = false;
        bPause.upToolTip = "Play";
        break;
    case psPlaying:
        metadataArtist.value =
            player.currentmedia.getiteminfo("Author");
        visEffects.visible = !vidIsRunning;
        bgPlay.tabStop = false;
        bPause.visible = true;
        bPause.upToolTip = "Pause";
        break;
    }
}

function SetVisibility(newPane)
{
    bClose.enabled = !vidIsRunning;

    switch(newPane)
    {
    case noPane:
        sBalloon.visible = sAudio.visible =
        pl.visible = vid.visible = false;
        break;
    case eqPane:
        sBalloon.visible = sAudio.visible = true;
        pl.visible = vid.visible = false;
        break;
    case plPane:
        sBalloon.visible = pl.visible = true;
        sAudio.visible = vid.visible = false;
        break;
    case vidPane:
        sBalloon.visible = vid.visible = true;
        sAudio.visible = pl.visible = false;
        break;
    }

    currentPane = newPane;
}

function TogglePl()
{
    if(currentPane == plPane)
    {
        SetVisibility(vidIsRunning ? vidPane : noPane);
    }
    else
    {
        SetVisibility(plPane);
    }
}

function ToggleAudio()
{
    if(currentPane == eqPane)
    {
        SetVisibility(vidIsRunning ? vidPane : noPane);
    }
    else
    {
        SetVisibility(eqPane);
    }
}

function StartVideo()
{
    vidIsRunning = true;
    SetVisibility(vidPane);
}

function EndVideo()
{
    vidIsRunning = false;

    if(currentPane == vidPane)
    {
        SetVisibility(noPane);
    }
}

function AdjustEQ()
{
    eq.gainLevel2 = (8*bass.value +   treble.value)/9;
    eq.gainLevel3 = (7*bass.value + 2*treble.value)/9;
    eq.gainLevel4 = (6*bass.value + 3*treble.value)/9;
    eq.gainLevel5 = (5*bass.value + 4*treble.value)/9;
    eq.gainLevel6 = (4*bass.value + 5*treble.value)/9;
    eq.gainLevel7 = (3*bass.value + 6*treble.value)/9;
    eq.gainLevel8 = (2*bass.value + 7*treble.value)/9;
    eq.gainLevel9 = (  bass.value + 8*treble.value)/9;
}